.elementor h1,
.elementor h2,
.elementor h3,
.elementor h4,
.elementor h5,
.elementor h6 {
  margin-top: 0;
  letter-spacing: 0.01em;
  line-height: 1.15em;
  margin-bottom: 0.5em;
}
.elementor h1 {
  font-size: clamp(2.625rem, 4.16vw, 3.75rem);
  margin-bottom: 0.25em;
}
.elementor .h1 h1,
.elementor .h1 h2,
.elementor .h1 h3,
.elementor .h1 h4,
.elementor .h1 h5,
.elementor .h1 h6,
.elementor .h1 p {
  font-size: clamp(2.625rem, 4.16vw, 3.75rem);
  text-transform: uppercase;
  font-weight: var(--e-global-typography-primary-font-weight);
  margin-bottom: 0.25em;
}
.elementor h2 {
  font-size: clamp(2.25rem, 3.47vw, 3.125rem);
  margin-bottom: 0.25em;
}
.elementor .h2 h1,
.elementor .h2 h2,
.elementor .h2 h3,
.elementor .h2 h4,
.elementor .h2 h5,
.elementor .h2 h6,
.elementor .h2 p {
  font-size: clamp(2.25rem, 3.47vw, 3.125rem);
  text-transform: uppercase;
  font-weight: var(--e-global-typography-primary-font-weight);
  margin-bottom: 0.25em;
}
.elementor h3 {
  font-size: clamp(1.625rem, 2.22vw, 2rem);
}
.elementor .h3 h1,
.elementor .h3 h2,
.elementor .h3 h3,
.elementor .h3 h4,
.elementor .h3 h5,
.elementor .h3 h6,
.elementor .h3 p {
  font-size: clamp(1.625rem, 2.22vw, 2rem);
  font-weight: 600;
  text-transform: none !important;
}
.elementor h4 {
  font-size: clamp(1.25rem, 1.66vw, 1.5rem);
}
.elementor .h4 h1,
.elementor .h4 h2,
.elementor .h4 h3,
.elementor .h4 h4,
.elementor .h4 h5,
.elementor .h4 h6,
.elementor .h4 p {
  font-size: clamp(1.25rem, 1.66vw, 1.5rem);
  font-weight: 600;
  text-transform: none !important;
}
.elementor h5 {
  font-size: 1.25rem;
}
.elementor .h5 h1,
.elementor .h5 h2,
.elementor .h5 h3,
.elementor .h5 h4,
.elementor .h5 h5,
.elementor .h5 h6,
.elementor .h5 p {
  font-size: 1.25rem;
  font-weight: 600;
  text-transform: none;
}
.elementor h6 {
  font-size: 1.25rem;
}
.elementor p,
.elementor a,
.elementor li,
.elementor .elementor-button {
  letter-spacing: 0.015em;
  line-height: 1.5em;
  font-size: 1.25rem;
  font-weight: 400;
}
.elementor p,
.elementor a,
.elementor .elementor-widget-text-editor li:last-of-type {
  margin-bottom: 0.75em;
}
.elementor label {
  letter-spacing: 0.015em;
  line-height: 1.5em;
}
.elementor a {
  font-weight: 700;
}
.elementor a.elementor-button {
  font-size: 1rem;
  margin-bottom: 0;
  line-height: 1em;
  font-weight: 700;
}
.elementor b,
.elementor strong {
  font-weight: 700;
}
.elementor .highlight {
  color: var(--e-global-color-secondary);
}
.elementor .uppercase {
  text-transform: uppercase;
}
.elementor .intro-text,
.elementor .intro-text a {
  font-size: 1.5rem;
}
.elementor .small-text,
.elementor .small-text a {
  font-size: 0.75rem;
}
.elementor .text-shadow h1,
.elementor .text-shadow h2,
.elementor .text-shadow h3,
.elementor .text-shadow h4,
.elementor .text-shadow h5,
.elementor .text-shadow h6,
.elementor .text-shadow p {
  text-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
}

:where(.elementor-widget-n-menu .e-n-menu-content > .e-con) {
  background-color: transparent;
}

.e-n-menu-wrapper .sub-menu-2-cols .elementor-nav-menu__container .elementor-nav-menu {
  column-count: 2;
  column-gap: 40px;
}

@media (min-width: 1025px) {
  .e-n-menu .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item .e-n-menu-title {
    padding: 0;
  }
  .e-n-menu .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item .e-n-menu-title .e-link {
    height: 120px;
    background-color: transparent;
    align-items: cneter;
    padding-left: 1rem;
    padding-right: 1rem;
    transition: all 500ms;
  }
  .e-n-menu .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item .e-n-menu-title .e-link:hover {
    background: var(--e-global-color-secondary);
  }
  .e-n-menu .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item .e-n-menu-title .e-n-menu-dropdown-icon {
    display: none;
  }
  .e-n-menu .elementor-nav-menu--main .menu-item {
    margin-bottom: 0;
    border-bottom: 2px solid var(--e-global-color-primary);
  }
  .e-n-menu .elementor-nav-menu--main .menu-item .elementor-item,
  .e-n-menu .elementor-nav-menu--main .menu-item .elementor-item:hover {
    background-color: transparent;
    font-size: 2rem;
    font-weight: 300;
    color: var(--e-global-color-primary);
    line-height: 1;
    margin-bottom: 0;
    padding: 2.75rem 1.5rem;
  }
  .e-n-menu .elementor-nav-menu--main .menu-item .elementor-item:hover {
    background-color: var(--e-global-color-secondary);
  }
}
@media (max-width: 1024px) {
  .e-n-menu .e-n-menu-wrapper {
    transform: translateY(30px);
  }
  .e-n-menu .e-n-menu-wrapper .e-n-menu-heading {
    background: var(--e-global-color-text) !important;
  }
  .e-n-menu .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item .e-n-menu-title {
    padding: 0;
    background-color: transparent;
  }
  .e-n-menu .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item .e-n-menu-title .e-link {
    background-color: transparent;
    font-size: 2.2rem;
    font-weight: 300;
    color: var(--e-global-color-secondary);
    line-height: 1;
    padding: 12px 24px;
  }
  .e-n-menu .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item .e-n-menu-title .e-link:hover {
    background-color: var(--e-global-color-secondary);
  }
  .e-n-menu .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item .e-n-menu-title .e-n-menu-icon {
    display: none;
  }
  .e-n-menu .elementor-nav-menu--main .menu-item .elementor-item,
  .e-n-menu .elementor-nav-menu--main .menu-item .elementor-item:hover {
    font-weight: 500;
  }
  .e-n-menu .elementor-nav-menu--main .menu-item .elementor-item:hover {
    color: var(--e-global-color-secondary);
  }
  .elementor-location-header > .elementor-element > .e-con-inner {
    flex-wrap: nowrap;
  }
}
.elementor-button {
  border-radius: 0;
}

.elementor-element.elementor-widget-button.elementor-button-info .elementor-button {
  padding: 0;
  background-color: transparent;
  width: fit-content;
  display: inline-block;
  position: relative;
  padding-right: 2rem;
  transition: padding-right 300ms ease-in-out;
}
.elementor-element.elementor-widget-button.elementor-button-info .elementor-button .elementor-button-text {
  color: var(--e-global-color-secondary);
  line-height: 1.5rem;
  font-size: 1.125rem;
  text-align: left;
}
.elementor-element.elementor-widget-button.elementor-button-info .elementor-button .elementor-button-text::after {
  content: "";
  display: block;
  width: 1.5rem;
  height: 1.5rem;
  background-image: url(/wp-content/uploads/2025/03/Arrow.svg);
  background-repeat: no-repeat;
  background-position: center center;
  position: absolute;
  top: 0;
  right: 0;
}
.elementor-element.elementor-widget-button.elementor-button-info .elementor-button:hover {
  padding-right: 2.5rem;
  transition: padding-right 300ms ease-in-out;
}

.elementor .elementor-form .elementor-button {
  padding: 12px 24px;
  font-weight: 700 !important;
  font-size: 1rem;
  line-height: 1;
  width: auto;
  flex-basis: unset !important;
}

.elementor .no-margin {
  margin-bottom: 0 !important;
}
.elementor .no-margin h1,
.elementor .no-margin h2,
.elementor .no-margin h3,
.elementor .no-margin h4,
.elementor .no-margin h5,
.elementor .no-margin h6,
.elementor .no-margin p,
.elementor .no-margin a {
  margin-bottom: 0;
}

.image-object-fit,
.image-object-fit > .elementor-widget-container,
.image-object-fit > .elementor-widget-container .elementor-image {
  height: 100%;
}

.image-object-fit img {
  object-fit: cover;
  width: 100%;
  height: 100% !important;
}

.elementor .white-text h1,
.elementor .white-text h2,
.elementor .white-text h3,
.elementor .white-text h4,
.elementor .white-text h5,
.elementor .white-text h6,
.elementor .white-text p,
.elementor .white-text li,
.elementor .white-text i {
  color: #ffffff;
}
.elementor .white-text p {
  font-weight: 400;
}
.elementor .white-text .elementor-element.elementor-widget-button.elementor-button-info .elementor-button .elementor-button-text {
  color: #ffffff;

}
.elementor .white-text .elementor-element.elementor-widget-button.elementor-button-info .elementor-button .elementor-button-text::after {
  background-image: url(/wp-content/uploads/2026/04/Arrow-white.svg);
}
.elementor .white-text .elementor-element.elementor-widget-button.elementor-button-info .elementor-button:hover .elementor-button-text {
  color: #ffffff;
  text-decoration: underline;
}
ul,
ol {
  padding-left: 1.75rem;
}
ul li::marker,
ol li::marker {
  color: var(--e-global-color-secondary);
  font-weight: 600;
}

.bullet-list ul,
.check-list ul,
.plus-list ul,
.arrow-list ul {
  list-style: none;
  padding-left: 0;
}
.bullet-list ul li,
.check-list ul li,
.plus-list ul li,
.arrow-list ul li {
  position: relative;
  margin-bottom: 0.5rem;
  line-height: 1.25;
}
.bullet-list ul li::before,
.check-list ul li::before,
.plus-list ul li::before,
.arrow-list ul li::before {
  content: "";
  display: block;
  position: absolute;
  left: 0.1em;
}

.bullet-list ul li {
  padding-left: 1.5rem;
}
.bullet-list ul li::before {
  background-color: var(--e-global-color-secondary);
  height: 0.5em;
  width: 0.5em;
  top: 0.5em;
  left: 0.215em;
}

.check-list ul li {
  padding-left: 2rem;
  line-height: 1.75em;
}
.check-list ul li::before {
  height: 0.75em;
  width: 1em;
  top: 0.325em;
  left: 0.2em;
  border-bottom: 6px solid var(--e-global-color-secondary);
  border-left: 6px solid var(--e-global-color-secondary);
  transform: rotate(-45deg);
}

.arrow-list ul li {
  padding-left: 2.25rem;
  line-height: 1.75em;
}
.arrow-list ul li::before {
  height: 1.25em;
  width: 1.25em;
  top: 0.375em;
  background-image: url(/wp-content/uploads/2025/03/Arrow.svg);
  background-repeat: no-repeat;
}

.plus-list ul li {
  padding-left: 1.875rem;
  line-height: 1.75em;
}
.plus-list ul li::before {
  content: "+";
  font-family: "Arial";
  font-weight: 500;
  font-size: 2em;
  line-height: 0;
  color: var(--e-global-color-secondary);
  top: 0.45em;
  left: 0;
}

.elementor .heading-animation {
  display: inline-block;
  background-color: var(--e-global-color-secondary);
  width: fit-content;
}
.elementor .heading-animation h1,
.elementor .heading-animation h2,
.elementor .heading-animation h3 {
  margin-bottom: 0;
  background-color: white;
  display: inline-block;
  transform: translateX(-100%);
  transition: 1000ms ease-in-out;
  line-height: 2em;
}
.elementor .in-view .heading-animation h1,
.elementor .in-view .heading-animation h2,
.elementor .in-view .heading-animation h3 {
  transform: translateX(0);
  transition: 1000ms ease-in-out;
}
.elementor .in-view .heading-animation:nth-child(2) h1,
.elementor .in-view .heading-animation:nth-child(2) h2,
.elementor .in-view .heading-animation:nth-child(2) h3 {
  transition-delay: 200ms;
}
.elementor .in-view .heading-animation:nth-child(3) h1,
.elementor .in-view .heading-animation:nth-child(3) h2,
.elementor .in-view .heading-animation:nth-child(3) h3 {
  transition-delay: 400ms;
}

.slider-pools .swiper .swiper-wrapper.elementor-slides .swiper-slide-inner .swiper-slide-contents {
  width: 100%;
  max-width: 1440px;
  text-align: center;
  padding: 0 3rem;
  background: rgba(0, 0, 0, 0.6);
}
.slider-pools .swiper .swiper-wrapper.elementor-slides .swiper-slide-inner .swiper-slide-contents .elementor-slide-heading {
  text-transform: uppercase;
  font-weight: 300;
  letter-spacing: 0.01em;
  height: 10rem;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  font-size: clamp(2.625rem, 4.16vw, 3.75rem);
}
.slider-pools .swiper .elementor-swiper-button {
  top: calc(100% - 50px - 5rem);
}
.slider-pools .swiper .elementor-swiper-button i::before {
  content: "";
  display: block;
  width: 100px;
  height: 100px;
  background-image: url("http://heckmeier-com.local/wp-content/uploads/2025/03/Arrow.svg");
  background-repeat: no-repeat;
}
.slider-pools .swiper .elementor-swiper-button.elementor-swiper-button-next {
  right: 3rem;
}
.slider-pools .swiper .elementor-swiper-button.elementor-swiper-button-prev {
  left: 3rem;
}
.slider-pools .swiper .elementor-swiper-button.elementor-swiper-button-prev i::before {
  background-image: url("http://heckmeier-com.local/wp-content/uploads/2025/03/Arrow_back.svg");
}
.slider-pools .swiper .swiper-pagination {
  display: none;
}

.teaser-item h2 {
  font-size: clamp(1.625rem, 2.5vw, 2.5rem);
}
.teaser-item h3 {
  font-size: clamp(1.25rem, 1.66vw, 1.5rem);
}

.e-n-accordion .e-n-accordion-item .e-n-accordion-item-title {
  justify-content: space-between;
}
.e-n-accordion .e-n-accordion-item .e-n-accordion-item-title .e-n-accordion-item-title-icon {
  position: relative;
  width: 1.5em;
  height: 1.5em;
}
.e-n-accordion .e-n-accordion-item .e-n-accordion-item-title .e-n-accordion-item-title-icon .e-opened,
.e-n-accordion .e-n-accordion-item .e-n-accordion-item-title .e-n-accordion-item-title-icon .e-closed {
  display: none !important;
}
.e-n-accordion .e-n-accordion-item .e-n-accordion-item-title .e-n-accordion-item-title-icon::before, .e-n-accordion .e-n-accordion-item .e-n-accordion-item-title .e-n-accordion-item-title-icon::after {
  content: "";
  width: 1.5em;
  height: 4px;
  display: block;
  background-color: var(--e-global-color-secondary);
  position: absolute;
  transition: all 250ms;
}
.e-n-accordion .e-n-accordion-item .e-n-accordion-item-title .e-n-accordion-item-title-icon::after {
  rotate: 90deg;
}
.e-n-accordion .e-n-accordion-item[open] .e-n-accordion-item-title-icon::after {
  rotate: 180deg;
  transition: all 500ms;
}

.elementor .no-margin h1,
.elementor .no-margin h2,
.elementor .no-margin h3,
.elementor .no-margin h4,
.elementor .no-margin h5,
.elementor .no-margin h6,
.elementor .no-margin p {
  margin-bottom: 0;
}